Index: branches/src/ProcessManagement/ProcessManagement/DB/Core/ABaseDBProcess.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/Core/ABaseDBProcess.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/Core/ABaseDBProcess.cs	(revision 51)
@@ -420,5 +420,49 @@
             }
         }
         #endregion
+
+        #region SetLockWaitime
+        /// <summary>
+        /// MySQL innodb_lock_wait_timeoutを設定
+        /// </summary>
+        /// <param name="seconds">秒</param>
+        /// <returns></returns>
+        public  bool SetLockWaitime(int seconds)
+        {
+            MySqlCommand mycmd = new MySqlCommand();
+            string strSql = "";
+
+            try
+            {
+                //ネクションセット
+                mycmd.Connection = (MySqlConnection)m_connection;
+
+                //SQLセット
+                strSql = "set innodb_lock_wait_timeout=1";
+                mycmd.CommandText = strSql;
+
+                //実行
+                mycmd.ExecuteNonQuery();
+
+                return true;
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), myex.Message, strSql);
+                return false;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strSql);
+                return false;
+            }
+            finally
+            {
+                mycmd.Dispose();
+                mycmd = null;
+            }
+        }
+
     }
+    #endregion
 }
\ No newline at end of file
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/DBCommonMotions.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/DBCommonMotions.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/DBCommonMotions.cs	(revision 51)
@@ -6,7 +6,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient;
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -39,6 +39,45 @@
 
         #endregion
 
+        #region 指定テーブルのカラムの属性桁数を取得する
+        /// <summary>
+        /// 指定テーブルのカラムの属性桁数を取得する
+        /// </summary>
+        public int GetTableColumnLength(string TabelName, string ColumnName, bool bConnect = true)
+        {
+            try
+            {
+                int RetLength = 0;
+                ArrayList arData = new ArrayList();
+
+                string strcmd = "SELECT DATA_TYPE,";
+                strcmd += " CASE WHEN DATA_TYPE = 'DECIMAL' THEN NUMERIC_PRECISION";
+                strcmd += " WHEN DATA_TYPE = 'INT' THEN NUMERIC_PRECISION";
+                strcmd += " WHEN DATA_TYPE = 'MEDIUMINT' THEN NUMERIC_PRECISION";
+                strcmd += " WHEN DATA_TYPE = 'SMALLINT' THEN NUMERIC_PRECISION";
+                strcmd += " WHEN DATA_TYPE = 'TINYINT' THEN NUMERIC_PRECISION";
+                strcmd += " WHEN DATA_TYPE = 'DATETIME' THEN DATETIME_PRECISION";
+                strcmd += " ELSE CHARACTER_MAXIMUM_LENGTH END DATA_LENGTH,";
+                strcmd += " COLUMN_NAME";
+                strcmd += " FROM INFORMATION_SCHEMA.COLUMNS";
+                strcmd += string.Format(" WHERE TABLE_NAME = '{0}'", TabelName.ToUpper());
+                strcmd += string.Format(" AND COLUMN_NAME = '{0}'", ColumnName.ToUpper());
+
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return 0;
+
+                object[] objWrk = (object[])arData[0];
+                RetLength = CommonMotions.cnvInt(objWrk[1]);
+
+                return RetLength;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+                return 0;
+            }
+        }
+        #endregion
+
         #region 工事基本情報一括レコードコピー処理（コピータイプＡ）
         /// <summary>
         /// 工事基本情報レコードコピー処理（コピータイプＡ）
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOActionScheduleData.cs	(revision 51)
@@ -5,7 +5,7 @@
 using System.Collections;
 
 using log4net;
-using MySql.Data.MySqlClient; 
+using MySql.Data.MySqlClient;           // Data Provider for MySql
 
 using ProcessManagement.DB.MySql;
 using ProcessManagement.DB.Core;
@@ -99,7 +99,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
 
@@ -126,7 +126,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -149,7 +149,7 @@
 
                     strcmd += " VALUES (";
 
-                    strcmd += string.Format(" DATE_FORMAT('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                    strcmd += string.Format(" STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
                     strcmd += string.Format(", {0}", data.PersonCode.ToString());
                     strcmd += string.Format(", '{0}'", data.ActionSchedule);
                     strcmd += string.Format(", {0}", data.TargetYear.ToString());
@@ -156,8 +156,8 @@
                     strcmd += string.Format(", {0}", data.TargetMonth.ToString());
                     strcmd += string.Format(", {0}", data.TargetDay.ToString());
 
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
-                    strcmd += ", DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                    strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                     strcmd = strcmd + ")";
 
                     if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -166,7 +166,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -189,7 +189,7 @@
 
                 strcmd += " SET";
 
-                strcmd += string.Format(" TargetDate = DATE_FORMAT('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
+                strcmd += string.Format(" TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", data.TargetDate.ToShortDateString());
                 strcmd += string.Format(",PersonCode = {0}", data.PersonCode.ToString());
                 strcmd += string.Format(",ActionSchedule = '{0}'", data.ActionSchedule);
                 strcmd += string.Format(",TargetYear = {0}", data.TargetYear.ToString());
@@ -196,7 +196,7 @@
                 strcmd += string.Format(",TargetMonth = {0}", data.TargetMonth.ToString());
                 strcmd += string.Format(",TargetDay = {0}", data.TargetDay.ToString());
 
-                strcmd += ", UpdateDate = DATE_FORMAT(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
                 strcmd += AddSQLString;
 
                 if (!ExecuteNonQuery(strcmd, bConnect)) return false;
@@ -205,7 +205,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -232,7 +232,7 @@
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
                 return false;
             }
         }
@@ -249,23 +249,23 @@
             try
             {
                 // データ取得
-                wrk.TargetDate = DateTime.Parse(objwrk[(int)NameColumn.TargetDate].ToString());
-                wrk.PersonCode = int.Parse(objwrk[(int)NameColumn.PersonCode].ToString());
-                wrk.ActionSchedule = objwrk[(int)NameColumn.ActionSchedule].ToString();
-                wrk.TargetYear = int.Parse(objwrk[(int)NameColumn.TargetYear].ToString());
-                wrk.TargetMonth = int.Parse(objwrk[(int)NameColumn.TargetMonth].ToString());
-                wrk.TargetDay = int.Parse(objwrk[(int)NameColumn.TargetDay].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.TargetDate])) wrk.TargetDate = DateTime.Parse(objwrk[(int)NameColumn.TargetDate].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.PersonCode])) wrk.PersonCode = int.Parse(objwrk[(int)NameColumn.PersonCode].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.ActionSchedule])) wrk.ActionSchedule = objwrk[(int)NameColumn.ActionSchedule].ToString();
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.TargetYear])) wrk.TargetYear = int.Parse(objwrk[(int)NameColumn.TargetYear].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.TargetMonth])) wrk.TargetMonth = int.Parse(objwrk[(int)NameColumn.TargetMonth].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.TargetDay])) wrk.TargetDay = int.Parse(objwrk[(int)NameColumn.TargetDay].ToString());
 
-                wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
-                wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.ENTRY_DATE])) wrk.EntryDate = DateTime.Parse(objwrk[(int)NameColumn.ENTRY_DATE].ToString());
+                if (!CommonMotions.chkCellBlank(objwrk[(int)NameColumn.UPDATE_DATE])) wrk.UpdateDate = DateTime.Parse(objwrk[(int)NameColumn.UPDATE_DATE].ToString());
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
         #endregion
@@ -292,11 +292,11 @@
             }
             catch (MySqlException myex)
             {
-                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(), myex.Message);
             }
             catch (Exception ex)
             {
-                logger.ErrorFormat("システムエラー：：{0}：{1}：{2}", CommonMotions.GetMethodName(), ex.Message);
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
         #endregion
@@ -312,7 +312,7 @@
             string strWork = string.Empty;
             try
             {
-                strWork = string.Format(" Where TargetDate = DATE_FORMAT('{0}','%Y/%m/%d')", TargetDate.ToShortDateString());
+                strWork = string.Format(" Where TargetDate = STR_TO_DATE('{0}','%Y/%m/%d')", TargetDate.ToShortDateString());
                 if(PersonCode != 0)
                     strWork += string.Format(" And PersonCode = {0}", PersonCode.ToString());
 
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(nonexistent)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOAttendanceData.cs	(revision 51)
@@ -0,0 +1,460 @@
+﻿using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using System.Data;
+using System.Collections;
+
+using log4net;
+
+using MySql.Data.MySqlClient;           // Data Provider for MySql
+using ProcessManagement.DB.MySql;
+
+using ProcessManagement.DB.Core;
+using ProcessManagement.DataModel;
+using ProcessManagement.Common;
+
+namespace ProcessManagement.DB.IOAccess
+{
+    /// <summary>
+    /// 出勤日報データＤＢアクセス
+    /// </summary>
+    public class IOAttendanceData : MySqlProcess
+    {
+        #region 定義部
+        /// <summary>
+        /// log4netログを使用する
+        /// </summary>
+        private static readonly ILog logger = LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
+        #endregion
+
+        #region 定数
+        /// <summary>
+        /// データフィールド並び
+        /// </summary>
+        public enum DataColumn
+        {
+            /// <summary>
+            /// 作成者コード
+            /// </summary>
+            PersonCode,
+            /// <summary>
+            /// 日報作成日
+            /// </summary>
+            AttendanceDate,
+            /// <summary>
+            /// 明細行番号
+            /// </summary>
+            SeqNo,
+            /// <summary>
+            /// 工事番号
+            /// </summary>
+            ConstructionCode,
+            /// <summary>
+            /// 残業時間
+            /// </summary>
+            OvertimeHours,
+            /// <summary>
+            /// コメント
+            /// </summary>
+            WorkingComment,
+            /// <summary>
+            /// 登録年月日
+            /// </summary>
+            EntryDate,
+            /// <summary>
+            /// 更新年月日
+            /// </summary>
+            UpdateDate,
+        }
+        #endregion
+
+        #region コンストラクタ
+        /// <summary>
+        /// コンストラクタ
+        /// </summary>
+        /// <param name="ConnectionString"></param>
+        public IOAttendanceData()
+            : base(DBCommon.Instance.DBConnectString)
+        {
+        }
+
+        #endregion
+
+        #region SQL作成
+        /// <summary>
+        /// SQL作成
+        /// </summary>
+        private string CreateSelectSQL()
+        {
+            // SQL作成（oracleのDateTime型が変換できないのでCharに変換しておく）
+            string strcmd = "SELECT";
+
+            strcmd += "  PersonCode";                                       // 担当者コード
+            strcmd += " ,DATE_FORMAT(AttendanceDate, '%Y/%m/%d')";          // 日報作成日
+            strcmd += " ,SeqNo";                                            // 明細行番号
+            strcmd += " ,ConstructionCode";                                 // 工事番号
+            strcmd += " ,OvertimeHours";                                    // 残業時間
+            strcmd += " ,WorkingComment";                                   // コメント
+            strcmd += ", DATE_FORMAT(EntryDate, '%Y/%m/%d %H:%i:%s')";      // 登録年月日
+            strcmd += ", DATE_FORMAT(UpdateDate, '%Y/%m/%d %H:%i:%s')";     // 更新年月日
+            strcmd += " FROM AttendanceData";
+
+            return strcmd;
+        }
+        #endregion
+
+        #region 複数読込み処理
+        public bool SelectAction(string AddSQLString, ref List<AttendanceData> data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                // SQL作成
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    AttendanceData work = new AttendanceData();
+                    Reader2Struct(objwrk, ref work);
+                    data.Add(work);
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件読込み処理
+        public bool SelectAction(string AddSQLString, ref AttendanceData data, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+
+            try
+            {
+                strcmd = CreateSelectSQL() + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return false;
+                if (arData.Count == 0) return false;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    Reader2Struct(objwrk, ref data);
+                    break;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1件追加処理
+        /// <summary>
+        /// 担当者毎経費データ追加
+        /// </summary>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool InsertAction(AttendanceData work, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "INSERT INTO AttendanceData";
+                strcmd += "  (PersonCode";      // 担当者コード
+                strcmd += " ,AttendanceDate";   // 日報作成日
+                strcmd += " ,SeqNo";            // 明細行番号
+                strcmd += " ,ConstructionCode"; // 工事番号
+                strcmd += " ,OvertimeHours";    // 残業時間
+                strcmd += " ,WorkingComment";   // コメント
+                strcmd += " ,EntryDate";        // 登録年月日
+                strcmd += " ,UpdateDate)";      // 更新年月日
+
+                strcmd += " VALUES (";
+
+                strcmd += string.Format("  {0}", work.PersonCode);                      // 担当者コード
+                strcmd += string.Format(", STR_TO_DATE('{0}','%Y/%m/%d')"
+                                            , work.AttendanceDate.ToShortDateString()); // 日報作成日
+                strcmd += string.Format(", {0}", work.SeqNo);                           // 明細行番号
+                strcmd += string.Format(", {0}", work.ConstructionCode);                // 工事番号
+                strcmd += string.Format(", {0}", work.OvertimeHours);                   // 残業時間
+                strcmd += string.Format(",'{0}'", work.WorkingComment);                 // コメント
+
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += ", STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd = strcmd + ")";
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 複数追加処理
+        public bool InsertAction(List<AttendanceData> data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                foreach (AttendanceData work in data)
+                {
+                    if (!InsertAction(work, bConnect)) return false;
+                }
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 更新処理
+        /// <summary>
+        /// 担当者毎経費データ更新
+        /// </summary>
+        /// <param name="AddSQLString">更新条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool UpdateAction(string AddSQLString, AttendanceData data, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+
+                strcmd = "UPDATE AttendanceData";
+
+                strcmd += " SET";
+
+                strcmd += string.Format(" PersonCode = {0}", data.PersonCode);                  // 担当者コード
+                strcmd += string.Format(",AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')"
+                                        , data.AttendanceDate.ToShortDateString());             // 日報作成日
+                strcmd += string.Format(",SeqNo =  {0} ", data.SeqNo);                          // 明細行番号
+                strcmd += string.Format(",ConstructionCode = {0}", data.ConstructionCode);      // 工事番号
+                strcmd += string.Format(",OvertimeHours = {0}", data.OvertimeHours);            // 残業時間
+                strcmd += string.Format(",WorkingComment = '{0}'", data.WorkingComment);        // コメント
+                
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += AddSQLString;
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 削除処理
+        /// <summary>
+        /// 担当者毎経費データ削除
+        /// </summary>
+        /// <param name="AddSQLString">削除条件SQL文字列</param>
+        /// <param name="data">担当者毎経費データデータ</param>
+        /// <returns>true：成功 false：失敗</returns>
+        public bool DeleteAction(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            try
+            {
+                strcmd = string.Format("{0}{1}", "DELETE FROM AttendanceData", AddSQLString);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 1項目更新処理
+        /// <summary>
+        /// 1項目の更新を行う
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="FeildNo"></param>
+        /// <param name="value"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public bool UpdateFeild(int PersonCode, DateTime AttendanceDate, int SeqNo, int FeildNo, object value, bool bConnect = true)
+        {
+            string strcmd = "";
+            try
+            {
+                strcmd = "UPDATE AttendanceData";
+
+                strcmd += " SET";
+                switch (FeildNo)
+                {
+                    case (int)DataColumn.PersonCode:
+                        strcmd += string.Format(" PersonCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.AttendanceDate:
+                        strcmd += string.Format(" AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", ((DateTime)value).ToShortDateString());
+                        break;
+                    case (int)DataColumn.SeqNo:
+                        strcmd += string.Format(" SeqNo = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.ConstructionCode:
+                        strcmd += string.Format(" ConstructionCode = {0}", (int)value);
+                        break;
+                    case (int)DataColumn.OvertimeHours:
+                        strcmd += string.Format(" OvertimeHours = {0}", (double)value);
+                        break;
+                    case (int)DataColumn.WorkingComment:
+                        strcmd += string.Format(" WorkingComment = '{0}'", CommonMotions.cnvString(value));
+                        break;
+                }
+
+                strcmd += ", UpdateDate = STR_TO_DATE(DATE_FORMAT(NOW(),'%Y/%m/%d %H:%i:%s'),'%Y/%m/%d %H:%i:%s')";
+                strcmd += CreatePrimarykeyString(PersonCode, AttendanceDate, SeqNo);
+
+                if (!ExecuteNonQuery(strcmd, bConnect)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+                return false;
+            }
+        }
+        #endregion
+
+        #region データセット処理
+        /// <summary>
+        /// OracleDataReaderより構造体へセットする
+        /// </summary>
+        /// <param name="reader">OracleDataReader</param>
+        /// <param name="wrk">構造体</param>
+        public void Reader2Struct(object[] objwrk, ref AttendanceData wrk)
+        {
+            try
+            {
+                // データ取得
+                wrk.PersonCode = int.Parse(objwrk[(int)DataColumn.PersonCode].ToString());                  // 担当者コード
+                wrk.AttendanceDate = DateTime.Parse(objwrk[(int)DataColumn.AttendanceDate].ToString());     // 日報作成日
+                wrk.SeqNo = int.Parse(objwrk[(int)DataColumn.SeqNo].ToString());                            // 明細行番号
+                wrk.ConstructionCode = int.Parse(objwrk[(int)DataColumn.ConstructionCode].ToString());      // 工事番号
+                wrk.OvertimeHours = double.Parse(objwrk[(int)DataColumn.OvertimeHours].ToString());         // 残業時間
+                wrk.WorkingComment = objwrk[(int)DataColumn.WorkingComment].ToString();                     // 当日作業内容
+                
+                wrk.EntryDate = DateTime.Parse(objwrk[(int)DataColumn.EntryDate].ToString());
+                wrk.UpdateDate = DateTime.Parse(objwrk[(int)DataColumn.UpdateDate].ToString());
+            }
+            catch (MySqlException myex)
+            {
+                logger.ErrorFormat("ＭｙＳＱＬエラー：{0}：{1}", CommonMotions.GetMethodName(2), myex.Message);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 検索文字列作成処理
+        /// <summary>
+        /// 主キー検索の文字列を返す
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ActionDate"></param>
+        /// <param name="DataType"></param>
+        /// <param name="DataAddCount"></param>
+        /// <returns></returns>
+        public string CreatePrimarykeyString(int PersonCode, DateTime AttendanceDate, int SeqNo = 0)
+        {
+            string strWork = "";
+            try
+            {
+                strWork = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                if (AttendanceDate != DateTime.MinValue)
+                    strWork += string.Format(" AND AttendanceDate = STR_TO_DATE('{0}','%Y/%m/%d')", AttendanceDate.ToShortDateString());
+                if (SeqNo != 0)
+                    strWork += string.Format(" AND SeqNo = {0}", SeqNo);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strWork);
+            }
+
+            return strWork;
+        }
+        #endregion
+
+        #region 追加番号の最大値を取得
+        /// <summary>
+        /// 追加番号の最大値を取得する
+        /// </summary>
+        /// <param name="AddSQLString"></param>
+        /// <param name="bConnect"></param>
+        /// <returns></returns>
+        public int SelectMaxAddDataCount(string AddSQLString, bool bConnect = true)
+        {
+            //Oracle インターフェース
+            string strcmd = "";
+            ArrayList arData = new ArrayList();
+            int iRet = 0;
+            try
+            {
+                // SQL作成
+                strcmd = "SELECT IFNULL(MAX(SeqNo), 0) FROM AttendanceData" + AddSQLString;
+
+                // SQL実行
+                if (!ExecuteReader(strcmd, ref arData, bConnect)) return iRet;
+
+                // データセット
+                foreach (object[] objwrk in arData)
+                {
+                    if (objwrk[0].ToString().Equals("null"))
+                        iRet = 0;
+                    else
+                        iRet = int.Parse(objwrk[0].ToString());
+                }
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd);
+            }
+            return iRet;
+        }
+        #endregion
+    }
+}
